._vr.loading:before { content: ""; position: absolute; left: 0; right: 0; bottom: 0; top: 0; background: #fff; opacity: 0.7; z-index: 5; }

@media screen and (min-width:501px) {

    ._vr { width: 1100px; background: #f5f5f5; position: absolute; top: 30px; bottom: 30px; left: 0; right: 0; margin: auto; min-height: 200px; opacity: 0; z-index: 1001; outline: none;
        transition: transform ease 100ms, opacity 50ms;
    }

    ._vr-layout {  position: fixed; left: 0; right: 0; bottom: 0; top: 0; z-index: 2000; }

    ._vr-layout-active { overflow: hidden !important; }

    ._vr-layout-bg { background: rgba(0, 0, 0, 0.7);  }
    ._vr { -webkit-transform: scale(0.85); transform: scale(0.85); }
    ._vr-visible { opacity: 1; -webkit-transform: scale(1); transform: scale(1); }
    ._vr-hide { transform: scale(1.2); opacity: 0; transition: transform ease 250ms, opacity 500ms; }

    html._vr-html-padding { padding-right: 16.5px; }

}

@media screen and (max-width:500px) {

    ._vr-layout { position: fixed; left: 0; top: 0; z-index: 2000; width: 100%; min-height: 100vh; }
    ._vr { position: fixed; left: 0; top: 0; width: 100%; min-height: 100vh; background: #fff; transition: transform 130ms; transform: translateY(100vh); }
    ._vr-visible { opacity: 1; transform: translateY(0); }

    ._vr-layout-animated ._vr-layout { position: absolute; top: 0; left: 0; right: 0; min-height: 0; }
    ._vr-layout-animated ._vr { position: absolute; min-height: 0; }
    ._vr-layout-animated .layout__bg { display: none; }



    ._vr-hide { opacity: 0; }
}


._vr-header { font: 700 21px/22px geometria, arial; padding: 15px; height: 54px; -moz-box-sizing: border-box; box-sizing: border-box; }
._vr-close { position: absolute; right: 0; top: 3px; background: url(i/close.svg) no-repeat 50% 50% / 15px auto; border: 0; width: 50px; height: 50px; z-index: 1; cursor: pointer; opacity: 0.3; }

._vr-contents { padding: 15px; -moz-box-sizing: border-box; box-sizing: border-box; font: 16px/18px geometria, arial; }

._vr-nobuttons > ._vr-contents { bottom: 0; }
._vr-noheader > ._vr-contents { top: 0; }


._vr-buttons { height: 64px; background: #fff; padding: 15px; text-align: right; -moz-box-sizing: border-box; box-sizing: border-box; }
._vr-button { background: var(--button-bg); border: 0 none; border-radius: 1px; color: #fff; cursor: pointer; font: 600 17px/35px geometria, arial; height: 35px;padding: 0 15px; -webkit-transition: background 300ms; transition: background 300ms; }


._vr-box { margin: 0 0 20px 0; padding: 15px; }


._vr-field { margin: 0 0 15px 0 }
._vr-input { border: 1px solid #c0cad5; border-radius: 2px; font: 300 18px/35px geometria, arial; height: 35px; padding: 0 10px; width: 100%; }
._vr-input:focus { border-color: #0099ff; }
textarea._vr-input { height: 130px; line-height: 23px; padding-top: 4px;  }
select._vr-input { padding-left: 6px; padding-right: 6px; }
._vr-hint { color: #999; margin: -4px 0 0 17px; font-weight: 300; line-height: 25px; }

._vr-box > ._vr-field:last-child { margin: 0 }
._vr-box:last-child { margin: 0 }

@media screen and (min-width:501px) {

    ._vr-button:hover { background: var(--button-bg-hover); }

    ._vr-header { text-align: center; }
    ._vr-layout { -webkit-transition: background 300ms; transition: background 300ms; }
    ._vr-contents { position: absolute; left: 0; right: 0; top: 54px; bottom: 64px; overflow: auto; }
    ._vr-close { -webkit-transition: opacity 300ms; transition: opacity 300ms; }
    ._vr-close:hover { opacity: 0.6; }
    ._vr-box { box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05); background: #fff; }
    ._vr-buttons { box-shadow: 0 0 2px 0 rgba(0, 0, 0, 0.05); position: absolute; left: 0; right: 0; bottom: 0; }
}

@media screen and (max-width:500px) {
    ._vr-header, ._vr-contents, ._vr-buttons  { position: relative; }
    ._vr-close { opacity: 0.7 }
    ._vr-input { font: 600 19px/22px geometria, arial; height: 42px; border-radius: 3px; }
    ._vr-button { font: 700 17px/42px geometria, arial; height: 42px; border-radius: 3px; }
}



@media screen and (min-width:501px) {

    ._vr-layout-scrollable { display: flex; flex-direction: column; justify-content: center;}
    ._vr-layout-scrollable ._vr-wrap { overflow-y: auto; }
    ._vr-layout-scrollable ._vr { position: static; top: auto; bottom: auto; margin: 25px auto; }
    ._vr-layout-scrollable ._vr-contents { position: static; overflow: visible; }

}

